Summary: Metapackage for GNOME desktop environment
Name: task-gnome
Version: 3.12.0
Release: 3
Epoch: 1
Group: Graphical desktop/GNOME
License: GPLv2+
BuildArch: noarch

Requires: %{name}-minimal

Obsoletes: gnome-utils

# resolve http://bugs.rosalinux.ru/show_bug.cgi?id=3031
Requires: gstreamer1.0-plugins-ugly
Requires: gstreamer1.0-libav

Requires: bijiben >= %{version}
Requires: cheese >= %{version}
Requires: empathy >= %{version}
Requires: eog >= %{version}
Requires: evince >= %{version}
Requires: file-roller >= %{version}
Requires: folks >= 0.9.1
Requires: gnome-calculator
Requires: gdm >= %{version}
Requires: gedit >= %{version}
Requires: gnome-bluetooth >= %{version}
Requires: gnome-classic-session
Requires: gnome-clocks
Requires: gnome-color-manager
Requires: gnome-contacts >= %{version}
Requires: gnome-desktop3 >= %{version}
Requires: gnome-disk-utility
Requires: gnome-documents
Requires: gnome-font-viewer
Requires: gnome-online-accounts >= %{version}
#Requires: gnome-weather
Requires: libgnome2
Requires: libsocialweb
Requires: libwnck3
Requires: sushi
Requires: telepathy-mission-control
Requires: totem
Requires: typelib(Eog)
Requires: typelib(GnomeDesktop)
Requires: typelib(Meta)
Requires: gnome-initial-setup

Requires: gnome-getting-started-docs
Requires: gnome-getting-started-docs-cs
Requires: gnome-getting-started-docs-de
Requires: gnome-getting-started-docs-es
Requires: gnome-getting-started-docs-gl
Requires: gnome-getting-started-docs-hu
Requires: gnome-getting-started-docs-it
Requires: gnome-getting-started-docs-pl
Requires: gnome-getting-started-docs-pt_BR

Suggests: brasero
Suggests: caribou
Suggests: caribou-gtk3
Suggests: ekiga
Suggests: evolution
Suggests: evolution-ews
Suggests: gucharmap
Suggests: mousetweaks
Suggests: orca
#Suggests: scrot-gnome
Suggests: shotwell
Suggests: simple-scan
Suggests: vinagre
Suggests: vino

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running the GNOME.

%package minimal
Summary: Minimal dependencies needed for GNOME desktop 
Group: Graphical desktop/GNOME

Requires: accountsservice
Requires: adwaita-cursor-theme
Requires: adwaita-gtk2-theme
Requires: adwaita-gtk3-theme
Requires: at-spi2-atk >= 2.8.0
Requires: baobab
Requires: fontconfig >= 2.0.91
Requires: gcr >= %{version}
Requires: gdk-pixbuf2.0 >= 2.28.0
Requires: glib2.0-common >= 2.36
Requires: gnome-backgrounds
Requires: gnome-control-center
Requires: gnome-icon-theme
Requires: gnome-icon-theme-legacy
Requires: gnome-icon-theme-symbolic
Requires: gnome-keyring >= %{version}
Requires: gnome-power-manager
Requires: gnome-screensaver
Requires: gnome-screenshot
Requires: gnome-search-tool
Requires: gnome-session
Requires: gnome-settings-daemon
Requires: gnome-system-log
Requires: gnome-system-monitor
Requires: gnome-terminal
Requires: gnome-themes-standard
Requires: gnome-tweak-tool
Requires: gobject-introspection >= 1.36
Requires: gtk+3.0-common >= %{version}
Requires: gtk3-modules
Requires: libgnome2
Requires: libgnomekbd-common
Requires: libnotify
Requires: locales >= 2.15-2
Requires: nautilus >= %{version}
Requires: networkmanager-applet >= 0.9.8.0
Requires: notification-daemon
Requires: polkit-gnome
Requires: rosa-icons
Requires: task-pulseaudio
Requires: typelib(Atspi)
Requires: typelib(Peas)
Requires: typelib(PeasGtk)
Requires: typelib(CoglPango)
Requires: typelib(Wnck) >= 3.0
Requires: udisks2 >= 2.1.0
Requires: yelp >= %{version}
Requires: gnome-shell-rosa-extensions
Requires: gnome-shell-extensions-user-theme

Requires: %{_lib}webkit-gir3.0
Requires: %{_lib}pangoft2-gir1.0
Requires: %{_lib}pangocairo-gir1.0
Requires: %{_lib}mutter-gir3.0 >= %{version}

Suggests: deja-dup
Suggests: fprintd-pam >= 0.5.0
Suggests: gparted
Suggests: libfprint >= 0.5.0
Suggests: preload
Suggests: totem

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal GNOME desktop environment.


%post minimal

# fonts
cat > /usr/share/glib-2.0/schemas/org.gnome.settings-daemon.plugins.xsettings.gschema.override <<FOE
[org.gnome.settings-daemon.plugins.xsettings]
antialiasing='rgba'
hinting='slight'
FOE

cat > /usr/share/glib-2.0/schemas/org.gnome.desktop.interface.gschema.override <<FOE
[org.gnome.desktop.interface]
monospace-font-name='Droid Sans Mono 10'
icon-theme='rosa'
FOE

cat > /usr/share/glib-2.0/schemas/org.gnome.shell.gschema.override <<FOE
[org.gnome.shell]
enabled-extensions=['user-theme@gnome-shell-extensions.gcampax.github.com', 'dash-to-dock@micxgx.gmail.com', 'openweather-extension@jenslody.de', 'SkypeNotification@chrisss404.gmail.com', 'ROSA_Hotkeys@uxteam.rosalab.ru']
FOE

# set nautilus icon-view default-zool-level to large
cat > /usr/share/glib-2.0/schemas/org.gnome.nautilus.gschema.override <<FOE
[org.gnome.nautilus.icon-view]
#default-zoom-level='large'
captions=['none', 'none', 'date_modified']

[org.gnome.nautilus.preferences]
sort-directories-first=true
FOE

#cat > /usr/share/glib-2.0/schemas/org.gnome.shell.extensions.user-theme.gschema.override <<FOE
#[org.gnome.shell.extensions.user-theme]
#name='rosa-elementary'
#FOE

cat > /usr/share/glib-2.0/schemas/org.gnome.desktop.background.gschema.override <<FOE
[org.gnome.desktop.background]
picture-uri='file:///usr/share/mdk/backgrounds/Mandriva-Rosa.xml'
FOE

cat > /usr/share/glib-2.0/schemas/org.gnome.Terminal.gschema.override <<FOE
[org.gnome.Terminal.Legacy.Settings]
menu-accelerator-enabled=false
dark-theme=true
FOE

/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas/ > /dev/null 2>&1

if [ $1 -eq 1 ]; then

  ###############################################
  ##########  Setup keyboard layout  ############
  ###############################################

  if [ -f /etc/sysconfig/keyboard ]; then
    . /etc/sysconfig/keyboard

    # Set system keyboard layouts as default for GNOME 3.8

    echo $XkbLayout | grep "," > /dev/null

    if [ $? -eq 0 ]; then
        L1=$(echo $XkbLayout | awk -F, '{ print $1 }')
        L2=$(echo $XkbLayout | awk -F, '{ print $2 }')
        cat > /usr/share/glib-2.0/schemas/org.gnome.desktop.input-sources.gschema.override << EOF
[org.gnome.desktop.input-sources]
sources=[('xkb', '$L1'), ('xkb', '$L2')]
EOF

        # Keyboard switcher.

        if [ "$GRP_TOGGLE" != "" ]; then
              GNOME_TOGGLE="grp:$GRP_TOGGLE"

              cat >> /usr/share/glib-2.0/schemas/org.gnome.desktop.input-sources.gschema.override <<EOF
xkb-options=['$GNOME_TOGGLE']
EOF
        fi

    fi

    /usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas/ > /dev/null 2>&1

  fi
fi

%files

%files minimal


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1:3.12.0-3
+ Revision: 6aea731
- MassBuild#440: Increase release tag


